For the complete documentation index, see llms.txt. This page is also available as Markdown.

Cancel statement

Cancels a statement.

post

Transitions statement to Cancelled status. Cancelled statements are excluded from billing. When called for a consolidated statement, children receive the status Queued and are detached from the consolidated parent.

Path parameters
idstringRequired

The ID of the statement to cancel.

Body

Represents a billing statement in the system, containing details about transactions, pricing, and associated entities.

revisioninteger · int32Optional
idstringOptional

The unique identifier of the statement.

Example: SOM-1234-1234-1234-1234-1234
typestring · enumOptional

Represents the type of a statement in the billing system.

Possible values:
billingTypestring · enumOptional

Represents the type of billing process.

Possible values:
statusstring · enumOptional

Represents the various statuses a statement can have in the billing system.

Possible values:
Responses
200

OK

application/json

Represents a billing statement in the system, containing details about transactions, pricing, and associated entities.

revisioninteger · int32Optional
idstringOptional

The unique identifier of the statement.

Example: SOM-1234-1234-1234-1234-1234
typestring · enumOptional

Represents the type of a statement in the billing system.

Possible values:
billingTypestring · enumOptional

Represents the type of billing process.

Possible values:
statusstring · enumOptional

Represents the various statuses a statement can have in the billing system.

Possible values:
post/public/v1/billing/statements/{id}/cancel

Last updated

Was this helpful?